@import url('../../../css/dark.css');
/** 引用默认夜景模式 */

html {
    background-color: transparent;
}

body {
    max-width: 540px;
    margin: auto;
    min-height: 100vh;
    position: relative;
    /* padding-bottom: 20px; */
}

img {
    max-width: 100%;
}

html[data-bs-theme="dark"] {
    background-color: black;
}

.reser-buttons>div {
    background-color: rgba(0, 0, 0, 0.3);
    border-radius: 20px;
    padding: 5px;
}

.reser-buttons div {
    color: #fff;
}

.reser-buttons .btn {
    border-radius: 16px;
}

.reser-buttons>div:last-child {
    display: none;
}

.reser-buttons.reser>div:last-child {
    display: block;
}

.reser-buttons.reser>div:first-child {
    display: none !important;
}

/* [data-user-agent*="Mobile"] {} */


#card .modal-content {
    background: url(../img/card.jpg) no-repeat;
    background-size: 100% 100%;
    color: #2e4110;
    text-align: center;
    line-height: 3em;
}
.newModal{

        position: fixed;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        max-width: 540px;
        width: 100%; /* 或者具体需要的宽度 */
        box-sizing: border-box; /* 确保padding和border不会影响最大宽度 */
      
}
.newModal .modal-dialog{
    top: 38%;
    padding: 0px 10%;
}
.newModal .modal-content{
    border-radius: 16px;
}
.newModal .modal-body{
    text-align: center;
    padding: 2rem;
}
.newModal .modal-body p{
    margin-bottom: 0px;
}
.newModal .modal-footer>*{
    margin: 0px !important;
   
}
.newModal .modal-footer{
    padding: 0px;
}
.newModal .modal-footer .b1{
    flex: 0 0 50%;
    text-align: center;
    border-right:1px solid #dee2e6;
    padding: 5px;
}
.newModal .modal-footer .b2{
    flex: 0 0 50%;
    text-align: center;
    padding: 5px;
}
.newModal .modal-footer button{
    width: 50%;
    background: none;
    border:none;
}
.newModal .modal-footer .qx{
    color: #323233;
}
.newModal .modal-footer .qr{
    color: #1989fa;
}
.p-2{
    max-width: 540px;
    margin: 0px auto;
}